osl::progress::ml Namespace Reference

## Classes

struct | NewProgressDebugInfo
struct | NewProgressData
class | NewProgress

## Functions

template void | osl::progress::ml::NewProgress::updateSub< osl::BLACK > (const NumEffectState &new_state, Move last_move)
template void | osl::progress::ml::NewProgress::updateSub< osl::WHITE > (const NumEffectState &new_state, Move last_move)
bool | operator== (const NewProgressData &l, const NewProgressData &r)
bool | operator== (const NewProgress &l, const NewProgress &r)

## Function Documentation

## operator==() [1/2]

bool osl::progress::ml::operator== | ( | const NewProgress & | l,
|  | const NewProgress & | r )

inline

Definition at line 314 of file progress.h.

References osl::progress::ml::NewProgress::rawData().

## operator==() [2/2]

bool osl::progress::ml::operator== | ( | const NewProgressData & | l,
|  | const NewProgressData & | r )

Definition at line 11 of file progress.cc.

References osl::progress::ml::NewProgressData::attack5x5_progresses, osl::progress::ml::NewProgressData::bishop, osl::progress::ml::NewProgressData::defenses, osl::progress::ml::NewProgressData::effect_progresses, osl::progress::ml::NewProgressData::gold, osl::progress::ml::NewProgressData::king_relative_attack, osl::progress::ml::NewProgressData::king_relative_defense, osl::progress::ml::NewProgressData::non_pawn_ptype_attacked_pair, osl::progress::ml::NewProgressData::non_pawn_ptype_attacked_pair_eval, osl::progress::ml::NewProgressData::progresses, osl::progress::ml::NewProgressData::promoted, osl::progress::ml::NewProgressData::rook, osl::progress::ml::NewProgressData::silver, and osl::progress::ml::NewProgressData::stand_progresses.

## osl::progress::ml::NewProgress::updateSub< osl::BLACK >()

template void osl::progress::ml::osl::progress::ml::NewProgress::updateSub< osl::BLACK > | ( | const NumEffectState & | new_state,
|  | Move | last_move )

References osl::progress::ml::NewProgress::updateSub().

## osl::progress::ml::NewProgress::updateSub< osl::WHITE >()

template void osl::progress::ml::osl::progress::ml::NewProgress::updateSub< osl::WHITE > | ( | const NumEffectState & | new_state,
|  | Move | last_move )

References osl::progress::ml::NewProgress::updateSub().